## AgsFxEnvelopeChannel

AgsFxEnvelopeChannel — fx envelope channel

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxEnvelopeChannel * | ags_fx_envelope_channel_new ()

## Properties

AgsPort * | attack | Read / Write
AgsPort * | decay | Read / Write
AgsPort * | fixed-length | Read / Write
AgsPort * | ratio | Read / Write
AgsPort * | release | Read / Write
AgsPort * | sustain | Read / Write

## Types and Values

enum | AgsFxEnvelopeChannelMode

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxEnvelopeChannel

## Includes

    #include <ags/audio/fx/ags_fx_envelope_channel.h>

## Description

The AgsFxEnvelopeChannel class provides ports to the effect processor.

## Functions

### ags_fx_envelope_channel_new ()

    AgsFxEnvelopeChannel *
    ags_fx_envelope_channel_new (AgsChannel *channel);

Create a new instance of AgsFxEnvelopeChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxEnvelopeChannel

Since: 3.3.0

## Types and Values

### enum AgsFxEnvelopeChannelMode

#### Members

AGS_FX_ENVELOPE_CHANNEL_MODE_STREAM_LENGTH |  |
AGS_FX_ENVELOPE_CHANNEL_MODE_NOTE_LENGTH |  |
AGS_FX_ENVELOPE_CHANNEL_MODE_FIXED_LENGTH |  |

## Property Details

### The `“attack”` property

      “attack”                   AgsPort *

The attack.

Owner: AgsFxEnvelopeChannel

Flags: Read / Write

Since: 3.3.0

### The `“decay”` property

      “decay”                    AgsPort *

The decay.

Owner: AgsFxEnvelopeChannel

Flags: Read / Write

Since: 3.3.0

### The `“fixed-length”` property

      “fixed-length”             AgsPort *

The fixed length.

Owner: AgsFxEnvelopeChannel

Flags: Read / Write

Since: 3.3.0

### The `“ratio”` property

      “ratio”                    AgsPort *

The ratio.

Owner: AgsFxEnvelopeChannel

Flags: Read / Write

Since: 3.3.0

### The `“release”` property

      “release”                  AgsPort *

The release.

Owner: AgsFxEnvelopeChannel

Flags: Read / Write

Since: 3.3.0

### The `“sustain”` property

      “sustain”                  AgsPort *

The sustain.

Owner: AgsFxEnvelopeChannel

Flags: Read / Write

Since: 3.3.0